ENVISAT Product Reader API for C |

Data Fields
EPR_Raster Struct Reference

Represents a raster in which data will be stored. More...

`#include <epr_api.h>`

## Data Fields

EPR_Magic | magic
| The magic number for this structure.
EPR_EDataTypeId | data_type
| The data type of the band's pixel values.
uint | elem_size
| The size in byte of a single element (sample) of this raster's buffer.
uint | source_width
| The width of the source .
uint | source_height
| The height of the source.
uint | source_step_x
| The sub-sampling for the across-track direction in pixel.
uint | source_step_y
| The sub-sampling for the along-track direction in pixel.
uint | raster_width
| The width of the raster in pixel.
uint | raster_height
| The height of the raster in pixel.
void * | buffer
| The elements of this raster.

## Detailed Description

Represents a raster in which data will be stored.

All 'size' parameter are in PIXEL.

The documentation for this struct was generated from the following file:

- epr_api.h